php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #41219 PHP Warning: PHP Startup: Unable to load dynamic library
Submitted: 2007-04-28 15:08 UTC Modified: 2007-04-28 16:24 UTC
From: purley at eastlink dot ca Assigned:
Status: Not a bug Package: *Extensibility Functions
PHP Version: 5.2.1 OS: Win XP
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: purley at eastlink dot ca
New email:
PHP Version: OS:

 

 [2007-04-28 15:08 UTC] purley at eastlink dot ca
Description:
------------
At first (many) attempt to start Apache after adding php, I got:

PHP Warning: PHP Startup: Unable to load dynamic library

for many extensions. After finding that many people had this problem, I was unable to find an explanation. After commenting out all extensions and trying each one at a time, I found that the dll's which had prerequisites would give this error even though the named dll was present.

The distribution does not include all of the dll's necessary to load the extensions. The required extensions may be found here: http://pecl4win.php.net/list_dlls.php

In addition to the distribution missing required files, the error message is extremely misleading as it names the incorrect missing file.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-04-28 16:24 UTC] tony2001@php.net
>After finding that many people had this problem, I was unable to find an explanation.

Open the corresponding page in the docs and read "Requirements" section.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Fri Jan 17 18:01:24 2020 UTC